<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: PCF8575.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">PCF8575.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * PCF8575.h</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> *  Created on: Jan 27, 2018</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> *      Author: kolban</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;</div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#ifndef COMPONENTS_CPP_UTILS_PCF8575_H_</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#define COMPONENTS_CPP_UTILS_PCF8575_H_</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#include &quot;I2C.h&quot;</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;</div><div class="line"><a name="l00020"></a><span class="lineno"><a class="line" href="classPCF8575.html">   20</a></span>&#160;<span class="keyword">class </span><a class="code" href="classPCF8575.html">PCF8575</a> {</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;    <a class="code" href="classPCF8575.html#ae40063372eeb3574e580684030c91a28">PCF8575</a>(uint8_t address);</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;    <span class="keyword">virtual</span> <a class="code" href="classPCF8575.html#a8fb789e47ede7f2d4da6d224b3ff29f3">~PCF8575</a>();</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;    <span class="keywordtype">void</span>     <a class="code" href="classPCF8575.html#a1c15fc3ca23d2cf006f4254f65df23f6">init</a>(gpio_num_t sdaPin = <a class="code" href="classI2C.html#a4d371d14b0fcae3b20f22ee8254536b8">I2C::DEFAULT_SDA_PIN</a>, gpio_num_t clkPin = <a class="code" href="classI2C.html#aece11572688a31925150176f2241e956">I2C::DEFAULT_CLK_PIN</a>);</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;    uint16_t <a class="code" href="classPCF8575.html#ad8f7990aa6a3bc18e65b21818ca9f711">read</a>();</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;    <span class="keywordtype">bool</span>     <a class="code" href="classPCF8575.html#a9d6da65bfa0a804b677fb2f728347380">readBit</a>(uint16_t bit);</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;    <span class="keywordtype">void</span>     <a class="code" href="classPCF8575.html#a5841b1d96a69b53be8a9a7634e445212">setInvert</a>(<span class="keywordtype">bool</span> value);</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;    <span class="keywordtype">void</span>     <a class="code" href="classPCF8575.html#a55a7a06d5d17c3fed1732a1a3673c4d6">write</a>(uint16_t value);</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;    <span class="keywordtype">void</span>     <a class="code" href="classPCF8575.html#a5440b57bff7211354e944df81b015dbf">writeBit</a>(uint16_t bit, <span class="keywordtype">bool</span> value);</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;    <a class="code" href="classI2C.html">I2C</a>* i2c;</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;    uint16_t m_lastWrite;</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;    <span class="keywordtype">bool</span>    invert = <span class="keyword">false</span>;</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;};</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* COMPONENTS_CPP_UTILS_PCF8575_H_ */</span><span class="preprocessor"></span></div><div class="ttc" id="classPCF8575_html_a9d6da65bfa0a804b677fb2f728347380"><div class="ttname"><a href="classPCF8575.html#a9d6da65bfa0a804b677fb2f728347380">PCF8575::readBit</a></div><div class="ttdeci">bool readBit(uint16_t bit)</div><div class="ttdoc">Read the logic level on a given pin.</div><div class="ttdef"><b>Definition:</b> PCF8575.cpp:56</div></div>
<div class="ttc" id="classPCF8575_html_a55a7a06d5d17c3fed1732a1a3673c4d6"><div class="ttname"><a href="classPCF8575.html#a55a7a06d5d17c3fed1732a1a3673c4d6">PCF8575::write</a></div><div class="ttdeci">void write(uint16_t value)</div><div class="ttdoc">Set the output values of the device.</div><div class="ttdef"><b>Definition:</b> PCF8575.cpp:68</div></div>
<div class="ttc" id="classI2C_html_a4d371d14b0fcae3b20f22ee8254536b8"><div class="ttname"><a href="classI2C.html#a4d371d14b0fcae3b20f22ee8254536b8">I2C::DEFAULT_SDA_PIN</a></div><div class="ttdeci">static const gpio_num_t DEFAULT_SDA_PIN</div><div class="ttdoc">The default SDA pin.</div><div class="ttdef"><b>Definition:</b> I2C.h:24</div></div>
<div class="ttc" id="classPCF8575_html_a5440b57bff7211354e944df81b015dbf"><div class="ttname"><a href="classPCF8575.html#a5440b57bff7211354e944df81b015dbf">PCF8575::writeBit</a></div><div class="ttdeci">void writeBit(uint16_t bit, bool value)</div><div class="ttdoc">Change the output value of a specific pin.</div><div class="ttdef"><b>Definition:</b> PCF8575.cpp:89</div></div>
<div class="ttc" id="classPCF8575_html"><div class="ttname"><a href="classPCF8575.html">PCF8575</a></div><div class="ttdoc">Encapsulate a PCF8575 device.</div><div class="ttdef"><b>Definition:</b> PCF8575.h:20</div></div>
<div class="ttc" id="classPCF8575_html_a5841b1d96a69b53be8a9a7634e445212"><div class="ttname"><a href="classPCF8575.html#a5841b1d96a69b53be8a9a7634e445212">PCF8575::setInvert</a></div><div class="ttdeci">void setInvert(bool value)</div><div class="ttdoc">Invert the bit values. Normally setting a pin's value to 1 means that a high signal is generated and ...</div><div class="ttdef"><b>Definition:</b> PCF8575.cpp:110</div></div>
<div class="ttc" id="classI2C_html_aece11572688a31925150176f2241e956"><div class="ttname"><a href="classI2C.html#aece11572688a31925150176f2241e956">I2C::DEFAULT_CLK_PIN</a></div><div class="ttdeci">static const gpio_num_t DEFAULT_CLK_PIN</div><div class="ttdoc">The default Clock pin.</div><div class="ttdef"><b>Definition:</b> I2C.h:29</div></div>
<div class="ttc" id="classPCF8575_html_a1c15fc3ca23d2cf006f4254f65df23f6"><div class="ttname"><a href="classPCF8575.html#a1c15fc3ca23d2cf006f4254f65df23f6">PCF8575::init</a></div><div class="ttdeci">void init(gpio_num_t sdaPin=I2C::DEFAULT_SDA_PIN, gpio_num_t clkPin=I2C::DEFAULT_CLK_PIN)</div><div class="ttdoc">Initialize the PCF8575 device.</div><div class="ttdef"><b>Definition:</b> PCF8575.cpp:121</div></div>
<div class="ttc" id="classPCF8575_html_ad8f7990aa6a3bc18e65b21818ca9f711"><div class="ttname"><a href="classPCF8575.html#ad8f7990aa6a3bc18e65b21818ca9f711">PCF8575::read</a></div><div class="ttdeci">uint16_t read()</div><div class="ttdoc">Read all the input bits from the device.</div><div class="ttdef"><b>Definition:</b> PCF8575.cpp:40</div></div>
<div class="ttc" id="classI2C_html"><div class="ttname"><a href="classI2C.html">I2C</a></div><div class="ttdoc">Interface to I2C functions.</div><div class="ttdef"><b>Definition:</b> I2C.h:19</div></div>
<div class="ttc" id="classPCF8575_html_a8fb789e47ede7f2d4da6d224b3ff29f3"><div class="ttname"><a href="classPCF8575.html#a8fb789e47ede7f2d4da6d224b3ff29f3">PCF8575::~PCF8575</a></div><div class="ttdeci">virtual ~PCF8575()</div><div class="ttdoc">Class instance destructor.</div><div class="ttdef"><b>Definition:</b> PCF8575.cpp:31</div></div>
<div class="ttc" id="classPCF8575_html_ae40063372eeb3574e580684030c91a28"><div class="ttname"><a href="classPCF8575.html#ae40063372eeb3574e580684030c91a28">PCF8575::PCF8575</a></div><div class="ttdeci">PCF8575(uint8_t address)</div><div class="ttdoc">Class constructor.</div><div class="ttdef"><b>Definition:</b> PCF8575.cpp:21</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
